Bug 505166 - Evo crashes while refreshing inbox via MAPI
Evo crashes while refreshing inbox via MAPI
Product: Fedora
Classification: Fedora
Component: evolution-mapi (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-10 16:53 EDT by Matthew Saltzman
Modified: 2009-06-24 12:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-13 07:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Console messages from crash instance (8.70 KB, text/plain)
2009-06-10 16:54 EDT, Matthew Saltzman
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 585637 None None None Never

  None (edit)
Description Matthew Saltzman 2009-06-10 16:53:37 EDT
Description of problem:
My Exchange MAPI inbox shows the correct number of messages, but no message headers appear.  When I try to refresh, evo crashes after about 20% of messages are downloaded.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open evo
2. Right-click INBOX in MAPI account
3. Select refresh
Actual results:

Expected results:
No crash--list of messages

Additional info:

Running from the command line, I get messages in the attached file.  It seems as though there is a message with some sort of problem header, but I have no idea how to find it and delete it with the information provided in the crash.  This is not a very robust failure mode.
Comment 1 Matthew Saltzman 2009-06-10 16:54:26 EDT
Created attachment 347291 [details]
Console messages from crash instance
Comment 2 Matthew Barnes 2009-06-13 07:00:49 EDT
Moving this upstream for better visibility.  Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=585637
Comment 3 Matthew Saltzman 2009-06-24 12:01:15 EDT
A patch has been committed here: http://bugzilla.gnome.org/show_bug.cgi?id=584072.  I hope this can be pulled into the Fedora package soon.

Note You need to log in before you can comment on or make changes to this bug.